#!/bin/bash

# Define the URL for downloading the simple-jaeger.php file
PLUGIN_URL="https://git.nixc.us/colin/SimpleJaeger/raw/branch/main/simple-jaeger.php"

# Define the target directory
TARGET_DIR="wp-content/plugins/simple-jaeger"

# Create the target directory if it doesn't exist
mkdir -p $TARGET_DIR

# Download the simple-jaeger.php file into the target directory
curl -o $TARGET_DIR/simple-jaeger.php $PLUGIN_URL

# Create a blank tracking-code.php file if it doesn't already exist
touch $TARGET_DIR/tracking-code.php

# Set the correct permissions for the files
chmod 644 $TARGET_DIR/simple-jaeger.php
chmod 644 $TARGET_DIR/tracking-code.php

echo "SimpleJaeger plugin has been installed or updated successfully."
